diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 3f6fae6..8379697 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -58376,12 +58376,13 @@ FunctionFieldCategory(F, UP, UPUP): Category == Definition where
       UPUP2P: (UPUP, P, P) -> P
 
       UP2P(p, x) ==
-        (map(#1::P, p)$UnivariatePolynomialCategoryFunctions2(F, UP,
+        (map((s:F):P +-> s::P, p)_
+          $UnivariatePolynomialCategoryFunctions2(F, UP,
                                      P, SparseUnivariatePolynomial P)) x
 
       UPUP2P(p, x, y) ==
-        (map(UP2P(retract(#1)@UP, x),
-             p)$UnivariatePolynomialCategoryFunctions2(RF, UPUP,
+        (map((s:RF):P +-> UP2P(retract(s)@UP, x),p)_
+          $UnivariatePolynomialCategoryFunctions2(RF, UPUP,
                                      P, SparseUnivariatePolynomial P)) y
 
       nonSingularModel u ==
@@ -58389,7 +58390,7 @@ FunctionFieldCategory(F, UP, UPUP): Category == Definition where
         vars := [concat(string u, string i)::SY for i in 1..(n := #w)]
         x    := "%%dummy1"::SY
         y    := "%%dummy2"::SY
-        select_!(zero?(degree(#1, x)) and zero?(degree(#1, y)),
+        select_!(s+->zero?(degree(s, x)) and zero?(degree(s, y)),
                  lexGroebner([v::P - UPUP2P(lift(d * w.i), x::P, y::P)
                     for v in vars for i in 1..n], concat([x, y], vars)))
 
@@ -58451,7 +58452,7 @@ FunctionFieldCategory(F, UP, UPUP): Category == Definition where
       [represents row(m, i) for i in minRowIndex m .. maxRowIndex m]
 
     integralAtInfinity? f ==
-      not any?(infOrder(#1) < 0,
+      not any?(s +-> infOrder(s) < 0,
          coordinates(f) * inverseIntegralMatrixAtInfinity())$Vector(RF)
 
     numberOfComponents() ==
@@ -58527,7 +58528,7 @@ FunctionFieldCategory(F, UP, UPUP): Category == Definition where
       (integralCoordinates(f).den exquo p) case "failed"
 
     differentiate(f:$, d:UP -> UP) ==
-      differentiate(f, differentiate(#1, d)$RF)
+      differentiate(f, x +-> differentiate(x, d)$RF)
 
 @
 <<FFCAT.dotabb>>=
diff --git a/changelog b/changelog
index ff3abfc..fc4a3ed 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.17.tpd.patch
+20090511 tpd books/bookvol10.2 FFCAT +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.16.tpd.patch
 20090511 tpd books/bookvol10.3 GCNAALG +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.15.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ccd5e53..e452838 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1246,5 +1246,7 @@ bookvol10.4 COMBF +-> conversion<br/>
 bookvol10.2 COMPCAT +-> conversion<br/>
 <a href="patches/20090511.16.tpd.patch">20090511.16.tpd.patch</a>
 bookvol10.3 GCNAALG +-> conversion<br/>
+<a href="patches/20090511.17.tpd.patch">20090511.17.tpd.patch</a>
+bookvol10.2 FFCAT +-> conversion<br/>
  </body>
 </html>
